curl
curl -sS -X POST "https://gateway.orbit/api/v1/processes" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"target_type": "node", "target_id": 12, "name": "vite", "runtime": "systemd", "command": ["/usr/bin/php", "artisan", "queue:work"]}'{
"data": {
"id": 123,
"target_type": "<string>",
"target_id": 123,
"name": "<string>",
"runtime": "<string>",
"working_directory": "<string>",
"runtime_config": {},
"restart_policy": "<string>",
"keep_alive": true,
"desired_state": "<string>",
"status": "<string>",
"runtime_status": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"cpu": 123,
"memory_bytes": 123,
"user": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"data": {
"id": 123,
"target_type": "<string>",
"target_id": 123,
"name": "<string>",
"runtime": "<string>",
"working_directory": "<string>",
"runtime_config": {},
"restart_policy": "<string>",
"keep_alive": true,
"desired_state": "<string>",
"status": "<string>",
"runtime_status": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"cpu": 123,
"memory_bytes": 123,
"user": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Processes
Create a Process
Create one systemd service, Docker container process, or Project process definition.
POST
/
api
/
v1
/
processes
curl
curl -sS -X POST "https://gateway.orbit/api/v1/processes" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"target_type": "node", "target_id": 12, "name": "vite", "runtime": "systemd", "command": ["/usr/bin/php", "artisan", "queue:work"]}'{
"data": {
"id": 123,
"target_type": "<string>",
"target_id": 123,
"name": "<string>",
"runtime": "<string>",
"working_directory": "<string>",
"runtime_config": {},
"restart_policy": "<string>",
"keep_alive": true,
"desired_state": "<string>",
"status": "<string>",
"runtime_status": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"cpu": 123,
"memory_bytes": 123,
"user": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"data": {
"id": 123,
"target_type": "<string>",
"target_id": 123,
"name": "<string>",
"runtime": "<string>",
"working_directory": "<string>",
"runtime_config": {},
"restart_policy": "<string>",
"keep_alive": true,
"desired_state": "<string>",
"status": "<string>",
"runtime_status": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"cpu": 123,
"memory_bytes": 123,
"user": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Body
application/json
Available options:
instance, node Required range:
x >= 1Process name
Maximum string length:
63Pattern:
^[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$(?![\s\S])systemd or docker
Available options:
systemd, docker One command argument; repeat for each argv item
Required array length:
1 - 64 elementsMaximum string length:
4096Process preset: vp-dev, annotator, agentation-mcp, or antigravity-watch
Existing non-root account for a Node systemd Process
Maximum string length:
32Pattern:
^[a-z_][a-z0-9_-]{0,31}$(?![\s\S])Conditionally required.
Maximum string length:
255Pattern:
^[A-Za-z0-9][A-Za-z0-9._\/:@-]*$(?![\s\S])Runtime working directory
Maximum string length:
4096Pattern:
^\/(?!.*(?:^|\/)\.\.(?:\/|$))[^\x00\r\n]*$(?![\s\S])Docker environment as a name-to-string-value map; values are redacted in responses.
Show child attributes
Show child attributes
Maximum array length:
100Pattern:
^(?:(?:\d{1,3}\.){3}\d{1,3}:)?\d{1,5}:\d{1,5}(?:\/(?:tcp|udp))?$(?![\s\S])Maximum array length:
100Show child attributes
Show child attributes
Available options:
never, on-failure, always, unless-stopped Start after adding
Keep running through app-dev idle hibernation